Loading...
Searching...
No Matches
tport_plugins.h File Reference

Transport plugin interface. More...

Go to the source code of this file.

## Macros

#define | TPORT_PLUGINS_H
| Defined when <sofia-sip/tport_plugins.h> has been included.

## Typedefs

typedef TPORT_STUN_SERVER_T | tport_stun_server_t
| Safe type for tport server object.

## Functions

int | tport_plug_in_stun_server (tport_stun_server_vtable_t const *)
| Plug in stun server.

## Detailed Description

Transport plugin interface.

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

Date
  Created: Fri Mar 31 12:22:22 EEST 2006 ppessi

## Function Documentation

## tport_plug_in_stun_server()

int tport_plug_in_stun_server | ( | tport_stun_server_vtable_t const * | vtable | ) |

Plug in stun server.

Note
  This function must be called before any transport is initialized.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.